Method: projects.locations.brands.evaluationCases.patch

Updates the specified EvaluationCase.

HTTP request

PATCH https://foodorderingaiagent.googleapis.com/v1/{evaluationCase.name=projects/*/locations/*/brands/*/evaluationCases/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
evaluationCase.name

string

Identifier. The resource name of the evaluation case. Format: projects/{project}/locations/{location}/brands/{brand}/evaluationCases/{evaluationCase}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

allowMissing

boolean

Optional. If set to true, and the evaluation case is not found, a new evaluation case will be created. In this situation, updateMask is ignored.

Request body

The request body contains an instance of EvaluationCase.

Response body

If successful, the response body contains an instance of EvaluationCase.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.